SELECT
house.pcucode AS 'รหัสสถานบริการ',
village.villname AS 'ชื่อหมู่บ้าน',
house.villcode AS 'รหัสหมู่บ้านใน JHCIS',
house.xgis AS 'X-Longitude',
house.ygis AS 'Y-Latitude',
COUNT(DISTINCT house.hcode)AS 'จำนวนหลังคาเรือน'
FROM
house
INNER JOIN village ON house.pcucode = village.pcucode AND house.villcode = village.villcode
GROUP BY house.villcode ASC;